<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="List_TreeScene.aspx.cs" Inherits="MYAPP.Manage.Project.Design.Scene.List_TreeScene" %>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
<title>Tour Scene</title>
<link href="/CSS/main.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="/js/coe.js"></script>
<script type="text/javascript" src="/js/common.js"></script>
<script language="JavaScript" type="text/javascript" src="/js/odialog.js"></script>
<Script Language="JavaScript" type="text/JavaScript" src="/js/showo_page.js"></Script>
<script language="JavaScript" type="text/javascript">
    function close_dialog()
    {
        new dialog().reset();
    }
function SetDefScene(scene_id)
{
	if (AjaxDemo.SetDefScene(<%=_Tour_ID%>,scene_id).value)
	{
		alert("默认场景成功!!!");
	}
	else
	{
		alert("Error!!!");
		window.location=window.location;
	}
}
function KMultires(scene_id)
{
	//AjaxDemo.KMultires(<%=_Tour_ID%>,scene_id);
	var ret=AjaxDemo.KMultires(<%=_Tour_ID%>,scene_id).value;
	if (ret=="true")
	{
		alert("分块完成!!!");
	}
	else
	{
		$("intro").innHTML =ret;
		alert("错误!!!"+ret);
		//window.location=window.location;
	}
}

function KPreview(scene_id)
{
	//AjaxDemo.KPreview(<%=_Tour_ID%>,scene_id);
	var ret=AjaxDemo.KPreview(<%=_Tour_ID%>,scene_id).value;
	if (ret=="true")
	{
		alert("生成预览图完成!!!");
	}
	else
	{
		alert("错误!!!"+ret);
		window.location=window.location;
	}
}

function KPreviewAll()
{
	if (confirm("是否全部生成预览图?"))
	{
		if (AjaxDemo.KPreviewAll(<%=_Tour_ID%>).value)
		{
			alert("全部生成预览图完成!!!");
		}
		else
		{
			alert("错误,系统权限错误!!!");
			window.location=window.location;
		}
	}
}

function kcube2sphere(scene_id)
{
	var ret=AjaxDemo.kcube2sphere(<%=_Tour_ID%>,scene_id).value;
	if (ret=="true")
	{
		alert("六面体合并全景图完成!!!");
		window.open("/Project/<%=_Tour_ID%>/scene/"+scene_id+"/b.jpg");
	}
	else
	{
		alert("错误:"+ret);
		window.location=window.location;
	}
}

function ksphere2cube(scene_id)
{
	var ret=AjaxDemo.ksphere2cube(<%=_Tour_ID%>,scene_id).value;
	if (ret=="true")
	{
		alert("分图完成!!!");
	}
	else
	{
		alert("错误: "+ret);
		window.location=window.location;
	}
}

function ExportSingleSwf(scene_id) //导出单个场景swf文件
{
	var ret=AjaxDemo.ExportSingleSwf(<%=_Tour_ID%>,scene_id).value;
	if (ret=="true")
	{
		alert("场景SWF文件导出完成!!!");
		window.open("/Project/<%=_Tour_ID%>/Export/"+scene_id+".swf");
	}
	else
	{
		alert("错误: "+ret);
		//window.location=window.location;
	}
}

function akcube2sphere()
{
	if (confirm("是否全部合图?"))
	{
		if (AjaxDemo.akcube2sphere(<%=_Tour_ID%>).value)
		{
			alert("合图完成!!!");
		}
		else
		{
			alert("错误,系统权限错误!!!");
			window.location=window.location;
		}
	}
}
function KMultiresAll()
{
	if (confirm("是否全部分块?"))
	{
		if (AjaxDemo.KMultiresAll(<%=_Tour_ID%>).value)
		{
			alert("全部分块完成!!!");
		}
		else
		{
			alert("错误,系统权限错误!!!");
			window.location=window.location;
		}
	}
}
function Change_SPIC(title,Scene_ID)
{
	OpenPopup(title,"UpLoad_Scene_SPIC.aspx?Tour_ID=<%=_Tour_ID%>&Scene_ID="+Scene_ID);;
}
function OpenPopup(title,turl)
{
	  	  openWindow(turl, '450', '195', title ,'no');
}
function OpenPopupTT(title,turl)
{
	  	  top.openWindow("Scene/"+turl, '780', '320', title ,'no');
}
function MoveScene(Scene_ID)
{
	if (Scene_ID!="")
	{
		if (AjaxDemo.MoveScene(<%=_Tour_ID%>,Scene_ID,$('TypeID').value).value)
		{
			top.updatescenetree();
			window.location=window.location;
		}
		else
		{
			alert("错误!!!");
			top.updatescenetree();
			window.location=window.location;
		}
	}
	else
	{
		alert("请选择场景!!!");
	}
}
function heading(Scene_ID)
{
	if (Scene_ID!="")
	{
		var str =prompt("偏移角度:","0");
		if (AjaxDemo.heading(<%=_Tour_ID%>,Scene_ID,str).value)
		{
			alert("完成!!!");
		}
		else
		{
			alert("错误!!!");

		}
	}
	else
	{
		alert("请选择场景!!!");
	}
}
function changevalue(_path,_field,_sceneid,_value)
{
	var ret=AjaxDemo.ChangeValue(<%=_Tour_ID%>,_sceneid,_path,_field,_value).value;
	if (ret=="true")
	{
		if (_field=="Name")
		{
			top.updatescenebyid(_sceneid);
		}
	}
	else
	{
		alert(ret);
	}
}


function ViewSpan()
{
	 if(document.getElementById("span1").style.display=='')
	 {
		 document.getElementById("span1").style.display='none';
	 }
	 else
	 {
		 document.getElementById("span1").style.display='';
	 }
}

function MoveFov(Scene_ID)
{
	var fov = document.getElementById("tb_Fov").value;	
	var maxpixelzoom = document.getElementById("tb_maxpixelzoom").value;
	var fovmin = document.getElementById("tb_Fovmin").value;
	var fovmax = document.getElementById("tb_Fovmax").value;
	var hlookat = document.getElementById("tb_Hlookat").value;
	var vlookat = document.getElementById("tb_Vlookat").value;
	var vlookatmin = document.getElementById("tb_Vlookatmin").value;
	var vlookatmax = document.getElementById("tb_Vlookatmax").value;
	var hlookatmin = document.getElementById("tb_Hlookatmin").value;
	var hlookatmax = document.getElementById("tb_Hlookatmax").value;
	

if(check_validate1(fov))
{
	alert('fov必须为数字!');
	return;
}


if(check_validate1(maxpixelzoom))
{
	alert('maxpixelzoom必须为数字!');
	return;
}
if(check_validate1(fovmin))
{
	alert('fovmin必须为数字!');
	return;
}
if(check_validate1(fovmax))
{
	alert('fovmin必须为数字!');
	return;
}
else if(check_validate1(hlookat))
{
	alert('hlookat必须为数字!');
	return;
}
else  if(check_validate1(vlookat))
{
	alert('vlookat必须为数字!');
	return;
}
else if(check_validate1(hlookatmin))
{
	alert('hlookatmin必须为数字!');
	return;
}
else  if(check_validate1(vlookatmin))
{
	alert('vlookatmin必须为数字!');
	return;
}
else if(check_validate1(hlookatmax))
{
	alert('hlookatmax必须为数字!');
	return;
}
else  if(check_validate1(vlookatmax))
{
	alert('vlookatmax必须为数字!');
	return;
}
//	if(hlookat=="")
//	{
//		alert("hlookat不能为空!");
//		return;
//	}
//	if(vlookat=="")
//	{
//		alert("vlookat不能为空!");
//		return;
//	}
	
	if (Scene_ID!="")
	{
		if (AjaxDemo.MoveFov(<%=_Tour_ID%>,Scene_ID,fov,maxpixelzoom,fovmin,fovmax,hlookat,vlookat,vlookatmin,vlookatmax,hlookatmin,hlookatmax).value)
		{
			alert("完成!!!");
			document.getElementById("tb_FOV").value='';
			document.getElementById("tb_FOV").value='';
			document.getElementById("tb_Hlookat").value='';
			document.getElementById("tb_Vlookat").value='';
			document.getElementById("tb_Vlookatmin").value='';
			document.getElementById("tb_Vlookatmax").value='';
			document.getElementById("tb_Hlookatmin").value='';
			document.getElementById("tb_Hlookatmax").value='';
			document.getElementById("span1").style.display='none';
		}
		else
		{
			alert("错误!!!");

		}
	}
	else
	{
		alert("请选择场景!!!");
	}
	
}
 
function check_validate1(_value){
    var reg = /^(-?\d+)(\.\d+)?/;
	if(_value=='')
	{
		return false;
	}
	
    if( _value.constructor === String )
   {
        var re = _value.match( reg );
        if(re!=null)
		return false;
    }
    return true;
}

</script>
</head>
<body onLoad="top.selectbyvalue('tscene_<%=_TypeID%>');top.sceneid(0);">
<form id="theform" runat="server" enableviewstate="false">
  <table width="100%" cellspacing="2" border="1" align="center" cellpadding="0" bordercolor="#CCCCCC"
            class="board_kong">
    <tr>
      <td><table cellspacing="1" cellpadding="0" width="100%" border="0">
          <tr>
            <td style="border-bottom: #CCCCCC 1px solid; height: 24px"><table class="title_table">
                <tr>
                  <td class="l_title">[场景列表] => <%=_TypeID%><div id="error"/></td>
                  <td width="500" align="center" ><input type="button" class="width80px" onClick="openWindow('ADD_Scene.aspx?action=add&TypeID=<%=_TypeID%>&Tour_ID=<%=_Tour_ID%>&Scene_ID=0', '420', '186', '添加场景' ,'no');" value="添加场景"/>
                    <input type="button" class="width80px" onClick="openWindow('ADDS_Scene.aspx?action=add&TypeID=<%=_TypeID%>&Tour_ID=<%=_Tour_ID%>&Scene_ID=0', '450', '115', '批量添加(把场景jpg文件,按自然数字命名放在站点AScene文件夹下面)' ,'no');" value="批量添加"/>
<input type="button" class="displaynone"  onclick="window.open('/project/<%=_Tour_ID%>/Get_Thumbnail_XML.aspx');" value="缩略图配置"/>
                  <input type="button" class="displaynone"  onclick="window.open('/project/<%=_Tour_ID%>/Get_ThumbsForKRPano_XML.aspx');" value="ThumbsForKRPano"/><input type="button" class="width80px" style="cursor: pointer" onClick="KMultiresAll();" value="全部分块" />
<input type="button" class="width80px" style="cursor: pointer" onClick="KPreviewAll();" value="全部预览图" title="生成全部预览图"/>
<input type="button" class="width80px" style="cursor: pointer" onClick="akcube2sphere();" value="全部合图" />
<input type="button"  value="刷新窗口" onClick="window.location=window.location;" class="width80px" /></td>
                </tr>
            </table></td>
          </tr>
          <tr>
            <td>  <table width="100%" border="1"  align="center" cellpadding="0" cellspacing="1" bordercolor="#EBEBEB" class="board_kong"><tr>
                  <td height="22"><table width="100%" border="0" align="center" cellpadding="2" cellspacing="1">
                      <tr class="table_title">
                        <td width="40" align="center" bgcolor="#D7F2FF" class="tab_bottom_line"><input type="checkbox" onClick="setCheckboxes('theform','checkbox',this.checked)" /></td>
                        <td width="40" align="center" nowrap bgcolor="#D7F2FF" class="tab_bottom_line">场景ID</td>
                        <td width="45" align="center" nowrap bgcolor="#D7F2FF" class="tab_bottom_line">缩略图</td>
                        <td height="20" align="center" nowrap bgcolor="#D7F2FF" class="tab_bottom_line">场景名称</td>
                        <td width="40" align="center" nowrap bgcolor="#D7F2FF" class="tab_bottom_line">前场景</td>
                        <td width="40" align="center" nowrap bgcolor="#D7F2FF" class="tab_bottom_line">后场景</td>
                        <td width="36" align="center" nowrap bgcolor="#D7F2FF" class="tab_bottom_line">排序</td>
                        <td width="40" align="center" nowrap bgcolor="#D7F2FF" class="tab_bottom_line">缩略图</td>
                        <td width="36" align="center" nowrap bgcolor="#D7F2FF" class="tab_bottom_line">搜索</td>
                        <td width="36" align="center" nowrap bgcolor="#D7F2FF" class="tab_bottom_line">Google</td>
                        <td width="70" align="center" nowrap bgcolor="#D7F2FF" class="tab_bottom_line">日期</td>
                        <td width="36" align="center" nowrap bgcolor="#D7F2FF" class="tab_bottom_line">默认</td>
                        <td width="40" align="center" nowrap bgcolor="#D7F2FF" class="tab_bottom_line">分块</td>
                        <td width="40" align="center" nowrap bgcolor="#D7F2FF" class="tab_bottom_line displaynone">分图</td>
                        <td width="40" align="center" nowrap bgcolor="#D7F2FF" class="tab_bottom_line" title="修图后生成预览图!!!">预览图</td>
                        <td width="40" align="center" nowrap bgcolor="#D7F2FF" class="tab_bottom_line">合图</td>
                        <td width="40" align="center" nowrap bgcolor="#D7F2FF" class="tab_bottom_line" title="导出单个场景.SWF文件!!!">.SWF</td>
                        <td align="center" nowrap bgcolor="#D7F2FF" class="tab_bottom_line">预览</td>
                        <td width="40" height="20" align="center" bgcolor="#D7F2FF" class="tab_bottom_line">操作</td>
                      </tr>
                      <asp:Repeater ID="rp_list" runat="server" DataSource="<%#list_dt%>">
                        <ItemTemplate>
                          <tr onMouseOver="this.className='tr_onmouseover'" onMouseOut="this.className='tr_onmouseout'" >
                            <td align="center" nowrap="nowrap" class="tab_bottom_line"><input type="checkbox" name="checkbox" value="<%# Eval("Name").ToString().Trim()%>" /></td>
                            <td height="18" align="center" nowrap="nowrap" class="tab_bottom_line"><%# Eval("Name").ToString().Trim()%></td>
                            <td width="45" align="center" nowrap="nowrap" class="tab_bottom_line"><img src="/images/pic/<%#Get_SPIC(Eval("Name").ToString().Trim())%>.gif" class="cursor_pointer" onClick="Change_SPIC('<%#GetElemValueByPath(Eval("Name"),"Name")%>','<%# Eval("Name").ToString().Trim()%>');"/></td>
                            <td nowrap="nowrap" class="tab_bottom_line"><input type="text" value="<%#GetElemValueByPath(Eval("Name"),"Name")%>" onChange="changevalue('krpano','Name','<%# Eval("Name").ToString().Trim()%>',this.value);" style="width:100%"/></td>
                            <td width="40" align="center" nowrap="nowrap" class="tab_bottom_line"><input type="text" value="<%#GetElemValueByPath(Eval("Name"),"/krpano/SSet","Prev_Scene_ID")%>" onChange="changevalue('krpano/SSet','Prev_Scene_ID','<%#Eval("Name")%>',this.value);" style="width:100%; text-align:right" onClick=""/></td>
                            <td width="40" align="center" nowrap="nowrap" class="tab_bottom_line"><input type="text" value="<%#GetElemValueByPath(Eval("Name"),"/krpano/SSet","Next_Scene_ID")%>" onChange="changevalue('krpano/SSet','Next_Scene_ID','<%#Eval("Name")%>',this.value);" style="width:100%; text-align:right" onClick=""/></td>
                            <td width="36" align="center" nowrap="nowrap" class="tab_bottom_line"><input type="text" value="<%#GetElemValueByPath(Eval("Name"),"/krpano/SSet","Order")%>" onChange="changevalue('krpano/SSet','Order','<%#Eval("Name")%>',this.value);" style="width:100%; text-align:right" onClick=""/></td>
                            <td width="40" align="center" nowrap="nowrap" class="tab_bottom_line"><input type="checkbox"  <%#GetElemValueByPath(Eval("Name"),"/krpano/SSet","ThumbTF").ToLower().Replace("false","").Replace("true","checked")%> onChange="changevalue('/krpano/SSet','ThumbTF','<%# Eval("Name").ToString().Trim()%>',this.checked);"></td>
                            <td width="36" align="center" nowrap="nowrap" class="tab_bottom_line"><input type="checkbox"  <%#GetElemValueByPath(Eval("Name"),"/krpano/SSet","SearchTF").ToLower().Replace("false","").Replace("true","checked")%> onChange="changevalue('/krpano/SSet','SearchTF','<%# Eval("Name").ToString().Trim()%>',this.checked);"></td>
                            <td width="36" align="center" nowrap="nowrap" class="tab_bottom_line"><input type="checkbox"  <%#GetElemValueByPath(Eval("Name"),"/krpano/Google","GoogleMapTF").ToLower().Replace("false","").Replace("true","checked")%> onChange="changevalue('/krpano/Google','GoogleMapTF','<%# Eval("Name").ToString().Trim()%>',this.checked);changevalue('/krpano/SSet','GoogleMapTF','<%# Eval("Name").ToString().Trim()%>',this.checked);"></td>
                            <td width="80" align="center" nowrap="nowrap" class="tab_bottom_line"><%#GetDateYMD(GetElemValueByPath(Eval("Name"),"Date"))%></td>
                            <td width="36" align="center" nowrap="nowrap" class="tab_bottom_line"><input type="button" class="cursor_pointer" value="默认" onClick="SetDefScene('<%# Eval("Name").ToString().Trim()%>');" title="Set Default Scene!!!" /></td>
                            <td width="40" align="center" nowrap="nowrap" class="tab_bottom_line"><input type="button" class="cursor_pointer" value="分块" onClick="KMultires('<%# Eval("Name").ToString().Trim()%>');"  title="KMultires Scene Image!!!"/></td>
                            <td width="40" align="center" nowrap="nowrap" class="tab_bottom_line displaynone"><input type="button" class="cursor_pointer" value="分图" onClick="ksphere2cube('<%# Eval("Name").ToString().Trim()%>');"  title="分图!!!"/></td>
                            <td width="40" align="center" nowrap="nowrap" class="tab_bottom_line"><input type="button" class="cursor_pointer" value="生成" onClick="KPreview('<%# Eval("Name").ToString().Trim()%>');"  title="修图后生成预览图!!!"/></td>
                            <td width="40" align="center" nowrap="nowrap" class="tab_bottom_line"><input type="button" class="cursor_pointer" value="合图" onClick="kcube2sphere('<%# Eval("Name").ToString().Trim()%>');"  title="合并六面体全景图!!!"/></td>
                            <td width="40" align="center" nowrap="nowrap" class="tab_bottom_line"><input type="button" class="cursor_pointer" value=".SWF" onClick="ExportSingleSwf('<%# Eval("Name").ToString().Trim()%>');"  title="导出单个场景.SWF文件!!!"/></td>
                            <td width="30" align="center" nowrap="nowrap" class="tab_bottom_line"><a href="/project/<%=_Tour_ID%>/view_tour_<%#Eval("Name")%>_0.aspx" target="_blank">漫游</a></td>
                            <td width="40" align="center" nowrap="nowrap" class="tab_bottom_line"><a href="AD_Scene.aspx?action=edit&Tour_ID=<%=_Tour_ID%>&Scene_ID=<%#Eval("Name")%>" style="color: #0000FF"><img src="/images/operate/edit.gif" width="16" height="16" border="0" title="Edit" /></a> <a href="AD_Scene.aspx?action=del&Tour_ID=<%=_Tour_ID%>&Scene_ID=<%#Eval("Name")%>" style="color:#FF0000" onClick="delete_confirm()"><img src="/images/operate/del.gif" width="16" height="16" border="0" title="删除" /></a></td>
                          </tr>
                        </ItemTemplate>
                      </asp:Repeater>
                  </table></td>
                </tr>
                
                <tr class="">
                  <td height="24" align="center"><table border="0" cellpadding="0" cellspacing="0">
  <tr >
    <td><script Language=JavaScript>
ShowoPage("<table style='BORDER-COLLAPSE: collapse' borderColor='#111111' height='10' cellSpacing='0' cellPadding='0' width='100%' border='0'><tr><td vAlign='bottom' width='40%' style='font-family: Arial, Helvetica, sans-serif; font-size: 11.5px; line-height: 15px'>","</td></tr></table>","页数:<font color='#006666'>","</font>/","<font color='#FF00FF'>","</font>&nbsp;","&nbsp;<font color='#000080'>","</font> 每页&nbsp;","&nbsp;<font color='orange'>记录</font>:<font color='green'>","</font></td><td vAlign='bottom' align='right' style='font-family: Arial, Helvetica, sans-serif; font-size: 11.5px; line-height: 15px'>","首页","前页","后页","末页","&nbsp;&nbsp;Jump:","<font color='red'>","</font>","","","<font color='red'>","</font>","&nbsp;[","]&nbsp;",<%=RecordCount%>,<%=PageRecord%>,8)
</script></td>
  </tr>
</table>
</td>
                </tr>
                <tr>
                  <td height="24" align="center"><table width="100%" border="1" align="center" cellpadding="0" cellspacing="1" bordercolor="#EBEBEB"
                                                class="board_kong">
                      <td align="center" nowrap="nowrap" class="left_title_request">移动分组:</td>
                      <td align="left"><asp:DropDownList ID="TypeID" runat="server">
                        <asp:ListItem Value="">默认分组</asp:ListItem>
                      </asp:DropDownList>
                        <input type="button" class="width80px" onClick="MoveScene(getCheckboxesValue('theform','checkbox'));" value="移动场景"/></td>
                    </tr>  <tr>
                        <td align="center" nowrap="nowrap" class="left_title_request">默认视角:</td>
                        <td align="left"  class="tab_bottom_line"><input type="button" id="but_cj"  class="width80px"  title="批量设置默认视角" onClick="ViewSpan()" value="默认视角"/>

                          <table id="span1" style="display:none"  width="80%" border="1"  align="left" cellpadding="0" cellspacing="1" bordercolor="#EBEBEB" class="board_kong">
                            <tr>
                              <td width="100" align="center" nowrap="nowrap" class="left_title">fov:</td>
                              <td>
                                <asp:TextBox ID="tb_FOV" runat="server" Columns="8"></asp:TextBox>
                             </td>
                              <td width="100" align="center" nowrap="nowrap" class="left_title">maxpixelzoom:</td>
                              <td><asp:TextBox ID="tb_maxpixelzoom" runat="server" Columns="8"></asp:TextBox>
                              (填空时保留原值)</td>
                            </tr>
                            <tr>
                              <td align="center" nowrap="nowrap" class="left_title">fovmin:</td>
                              <td>
                                <asp:TextBox ID="tb_Fovmin" runat="server" Columns="8"></asp:TextBox>
                              </td>
                              <td align="center" nowrap="nowrap" class="left_title">fovmax:</td>
                              <td>
                                <asp:TextBox ID="tb_Fovmax" runat="server" Columns="8"></asp:TextBox>
                              </td>
                            </tr>
                            <tr>
                              <td align="center" nowrap="nowrap" class="left_title"><span style="display:">hlookat:</span></td>
                              <td>
                                <asp:TextBox ID="tb_Hlookat" runat="server" Columns="8"></asp:TextBox>
                             </td>
                              <td align="center" nowrap="nowrap" class="left_title">vlookat:</td>
                              <td>
                                <asp:TextBox ID="tb_Vlookat" runat="server"  Columns="8"></asp:TextBox>
                              </td>
                            </tr>
                            <tr>
                              <td align="center" nowrap="nowrap" class="left_title"> hlookatmin:</td>
                              <td>
                                <asp:TextBox ID="tb_Hlookatmin" runat="server" Columns="8"></asp:TextBox>
                              </td>
                              <td align="center" nowrap="nowrap" class="left_title"> hlookatmax:</td>
                              <td>
                                <asp:TextBox ID="tb_Hlookatmax" runat="server" Columns="8"></asp:TextBox>
                              </td>
                            </tr>
                            <tr>
                              <td align="center" nowrap="nowrap" class="left_title">vlookatmin:</td>
                              <td>
                                <asp:TextBox ID="tb_Vlookatmin" runat="server" Columns="8"></asp:TextBox>
                             </td>
                              <td align="center" nowrap="nowrap" class="left_title">vlookatmax:</td>
                              <td>
                                <asp:TextBox ID="tb_Vlookatmax" runat="server" Columns="8"></asp:TextBox>
                             </td>
                            </tr>
                            <tr>
                              <td colspan="4" align="center" >
                                <input type="button"  title="批量设置默认视角"   onClick="MoveFov(getCheckboxesValue('theform','checkbox'));" value="提交"/>
                                (街景辅助功能 ) </td>
                              </tr>
                          </table></td>
                      </tr>
                      <tr>
                        <td align="center" nowrap="nowrap" class="left_title_request">偏移角度:</td>
                        <td align="left"><input type="button" class="width80px"  title="批量设置正北偏角偏移量" onClick="heading(getCheckboxesValue('theform','checkbox'));" value="偏移角度"/></td>
                      </tr>
                  </table></td>
                </tr>
            </table>
              </td>
          </tr>
        </table></td>
    </tr>
  </table><div id="intro">
</form>
</body>
</html>

